SLCANPTY(1)

NAME
slcanpty - manual page for slcanpty 2023.03-1build1

SYNOPSIS
slcanpty <pty> <can interface>

DESCRIPTION
slcanpty: adapter for applications using the slcan ASCII protocol.

slcanpty creates a pty for applications using the slcan ASCII protocol and converts the ASCII data to a CAN network interface (and vice versa)

EXAMPLES
slcanpty /dev/ptyc0 can0 - creates /dev/ttyc0 for the slcan application

e.g. for pseudo-terminal 'slcanpty /dev/ptmx can0' creates /dev/pts/N